Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PER.rover.control
Class RoverCommand

    java.lang.Object
      PER.rover.control.RoverCommand

public class RoverCommand
extends java.lang.Object

Low level rover commands - they mainly interface from RoverController methods to the stayton.

Constructor Summary
`RoverCommand()`

Method Summary
`RoverCommand` | `crab(int speed, int angle)`
`RoverCommand` | `getCalibration()`
`byte[]` | `getData()`
`int` | `getLength()`
`RoverCommand` | `getMean(boolean stream)`
`RoverCommand` | `getProperties()`
`RoverCommand` | `getScanList()`
`RoverCommand` | `getUpdate()`
`RoverCommand` | `getVersion()`
`RoverCommand` | `goTo(int dist, int angle, byte safetyLevel, boolean takePics)`
`RoverCommand` | `headMove(boolean movePan, int panAngle, boolean moveTilt, int tiltAngle)`
`RoverCommand` | `initRover()`
`RoverCommand` | `killHL()`
`RoverCommand` | `quadTurn(int speed, int radius)`
`RoverCommand` | `scan(int tilt, int minPan, int maxPan, int step)`
`RoverCommand` | `setAll(int mask, int motor0, int motor1, int servo0, int servo1, int servo2, int servo3, int pan, int tilt)`
`RoverCommand` | `setCalibration(java.lang.String cal)`
`RoverCommand` | `setLight(boolean on)`
`RoverCommand` | `setScanList(java.lang.String cal)`
`RoverCommand` | `spin(int speed)`
`RoverCommand` | `startMotion()`
`RoverCommand` | `startTrack(int minY, int maxY, int minU, int maxU, int minV, int maxV, int trackMethod, boolean movePan, boolean moveTilt, int driveMethod)`
`RoverCommand` | `stopStreaming()`
`RoverCommand` | `takePicture(int pan, int tilt, int width, int height, boolean lightUV)`
`RoverCommand` | `takeRawPicture(int pan, int tilt, int width, int height, boolean lightUV)`
`RoverCommand` | `takeRecentPicture()`
`RoverCommand` | `turnTo(int degrees, boolean takePics)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoverCommand

    public RoverCommand()

Method Detail

### getData

    public byte[] getData()

### getLength

    public int getLength()

### initRover

    public RoverCommand initRover()

### takePicture

    public RoverCommand takePicture(int pan,
                                    int tilt,
                                    int width,
                                    int height,
                                    boolean lightUV)

### takeRecentPicture

    public RoverCommand takeRecentPicture()

### takeRawPicture

    public RoverCommand takeRawPicture(int pan,
                                       int tilt,
                                       int width,
                                       int height,
                                       boolean lightUV)

### scan

    public RoverCommand scan(int tilt,
                             int minPan,
                             int maxPan,
                             int step)

### spin

    public RoverCommand spin(int speed)

### crab

    public RoverCommand crab(int speed,
                             int angle)

### quadTurn

    public RoverCommand quadTurn(int speed,
                                 int radius)

### headMove

    public RoverCommand headMove(boolean movePan,
                                 int panAngle,
                                 boolean moveTilt,
                                 int tiltAngle)

### setAll

    public RoverCommand setAll(int mask,
                               int motor0,
                               int motor1,
                               int servo0,
                               int servo1,
                               int servo2,
                               int servo3,
                               int pan,
                               int tilt)

### goTo

    public RoverCommand goTo(int dist,
                             int angle,
                             byte safetyLevel,
                             boolean takePics)

### turnTo

    public RoverCommand turnTo(int degrees,
                               boolean takePics)

### killHL

    public RoverCommand killHL()

### getUpdate

    public RoverCommand getUpdate()

### getCalibration

    public RoverCommand getCalibration()

### setCalibration

    public RoverCommand setCalibration(java.lang.String cal)

### getScanList

    public RoverCommand getScanList()

### setScanList

    public RoverCommand setScanList(java.lang.String cal)

### setLight

    public RoverCommand setLight(boolean on)

### getVersion

    public RoverCommand getVersion()

### startTrack

    public RoverCommand startTrack(int minY,
                                   int maxY,
                                   int minU,
                                   int maxU,
                                   int minV,
                                   int maxV,
                                   int trackMethod,
                                   boolean movePan,
                                   boolean moveTilt,
                                   int driveMethod)

### stopStreaming

    public RoverCommand stopStreaming()

### getMean

    public RoverCommand getMean(boolean stream)

### startMotion

    public RoverCommand startMotion()

### getProperties

    public RoverCommand getProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD